Missing Encryption

Affecting org.jenkins-ci.plugins:vmanager-plugin artifact, versions [,2.7.1)

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

org.jenkins-ci.plugins:vmanager-plugin is a Jenkins plugin that Integrates Jenkins to Cadence vManager.

Affected versions of this package are vulnerable to Missing Encryption. SSL/TLS are disabled and hostname verification globally for the Jenkins master JVM.

Remediation

Upgrade org.jenkins-ci.plugins:vmanager-plugin to version 2.7.1 or higher.

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    Low
  • Availability
    None
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:L/A:N
Credit
Daniel Beck, CloudBees, Inc.
CVE
CVE-2019-10446
CWE
CWE-311
Snyk ID
SNYK-JAVA-ORGJENKINSCIPLUGINS-473846
Disclosed
16 Oct, 2019
Published
09 Jan, 2020